GetbeelDocs

Usage of a month

Quantity and amount per item, the next unit price at this month’s tier, and per client company for a gestore.

GET
/billing/usage

Quantity and amount per item, the next unit price at this month’s tier, and per client company for a gestore.

Autorizzazione

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Parametri query

month?string

YYYY-MM (UTC); default: this month

Match^\d{4}-(0[1-9]|1[0-2])$
Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Corpo della risposta

OK

application/json
  1. response
object*string
currency*string
month*string
total_cents*integer

EUR cents, net of VAT

Range-9007199254740991 <= value <= 9007199254740991
daily_average_cents*integer

EUR cents, net of VAT

Range-9007199254740991 <= value <= 9007199254740991
by_meter*array<>
by_company*array<>
Esempio di richiesta
curl -X GET 'https://www.getbeel.com/api/v1/billing/usage'
Esempio di risposta
{  "object": "billing_usage",  "currency": "EUR",  "month": "string",  "total_cents": -9007199254740991,  "daily_average_cents": -9007199254740991,  "by_meter": [    {      "meter": "sdi_send",      "quantity": -9007199254740991,      "amount_cents": -9007199254740991,      "next_unit_price_cents": -9007199254740991    }  ],  "by_company": [    {      "company_id": "b2e6a1c3-1a5e-44ae-a8fd-81f76fd715cf",      "name": "string",      "quantity": -9007199254740991,      "amount_cents": -9007199254740991    }  ]}